<!DOCTYPE html>
<html>
  <head>
    <title>Pizza 365 verson 0.9</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- font -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Lato"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
    />

    <!-- Bootstrap -->
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </head>

  <body onload="onBtnGetDrinkListClick()">
    <!-- Menu -->
    <div class="container-fluid bg-light">
      <div class="row">
        <div class="col-sm-12">
          <nav class="navbar fixed-top navbar-expand-lg navbar-light">
            <button
              class="navbar-toggler"
              type="button"
              data-toggle="collapse"
              data-target="#navbarNav"
              aria-controls="navbarNav"
              aria-expanded="false"
              aria-label="Toggle navigation"
            >
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav nav-fill w-100">
                <li class="nav-item active">
                  <a class="nav-link" href="#">Home</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#plans">Plans</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#about">About</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#contact">Contact</a>
                </li>
              </ul>
            </div>
          </nav>
        </div>
      </div>
    </div>

    <!-- Content -->
    <div class="container" style="padding: 120px 0 50px 0">
      <div class="row">
        <div class="col-sm-12">
          <div class="row">
            <!-- Title row home -->
            <div class="col-sm-12 text-danger">
              <h1><b>Pizza 365 New Pizza - New Way!</b></h1>
            </div>

            <!-- Slide row home -->
            <div class="col-sm-12">
              <div
                id="carouselExampleIndicators"
                class="carousel slide"
                data-ride="carousel"
              >
                <ol class="carousel-indicators">
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="0"
                    class="active"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="1"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="2"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="3"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="4"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="5"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="6"
                  ></li>
                </ol>
                <div class="carousel-inner">
                  <div class="carousel-item active">
                    <img
                      class="d-block w-100"
                      src="./images/anh_mon_1.jpg"
                      alt="First slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="./images/anh_mon_02.jpg"
                      alt="Second slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="./images/anh_mon_3.jpg"
                      alt="Third slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="./images/anh_mon_4.jpg"
                      alt="forth slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="./images/anh_mon_5.jpg"
                      alt="forth slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="./images/anh_mon_6.jpg"
                      alt="forth slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="./images/anh_mon_7.jpg"
                      alt="forth slide"
                    />
                  </div>
                </div>
                <a
                  class="carousel-control-prev"
                  href="#carouselExampleIndicators"
                  role="button"
                  data-slide="prev"
                >
                  <span
                    class="carousel-control-prev-icon"
                    aria-hidden="true"
                  ></span>
                  <span class="sr-only">Previous</span>
                </a>
                <a
                  class="carousel-control-next"
                  href="#carouselExampleIndicators"
                  role="button"
                  data-slide="next"
                >
                  <span
                    class="carousel-control-next-icon"
                    aria-hidden="true"
                  ></span>
                  <span class="sr-only">Next</span>
                </a>
              </div>
            </div>

            <!-- Title what we offer -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2>
                <b class="p-2 border-bottom text-danger"
                  >Tại sao lại Pizza 365</b
                >
              </h2>
            </div>

            <!-- Content what we offer -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-3 p-4 bg-success text-white border">
                  <h3 class="p-2">Không ngừng cải tiến</h3>
                  <p class="p-2">
                    Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn
                    là yếu tố tiên quyết trong chiến lược kinh doanh của chúng
                    tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza
                    hàng đầu.
                  </p>
                </div>
                <div class="col-sm-3 p-4 bg-primary text-white border">
                  <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                  <p class="p-2">
                    Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của
                    mọi nhà, mọi lúc, mọi nơi.
                  </p>
                </div>
                <div class="col-sm-3 p-4 bg-warning text-white border">
                  <h3 class="p-2">Hướng đến sự vượt trội</h3>
                  <p class="p-2">
                    "Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá
                    trị này là cốt lõi trong mỗi con người của chúng tôi, trong
                    mỗi công việc mà họ làm.
                  </p>
                </div>
                <div class="col-sm-3 p-4 bg-info text-white border">
                  <h3 class="p-2">Thể hiện đam mê</h3>
                  <p class="p-2">
                    Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều
                    chỉnh tùy theo thử thách để tìm ra giải pháp.
                  </p>
                </div>
              </div>
            </div>
          </div>

          <div id="plans" class="row">
            <!-- Title what we offer -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2>
                <b class="p-1 border-bottom text-danger"
                  >Menu Combo Pizza 365</b
                >
              </h2>
              <p>
                <span class="p-2 text-primary"
                  >Hãy chọn cỡ pizza phù hợp với bạn!</span
                >
              </p>
            </div>
            <!-- Content what we offer -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header bg-info text-white text-center">
                      <h3>S ( Small size)</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">Đường kính <b>20 cm</b></li>
                        <li class="list-group-item">sườn nướng <b>2</b></li>
                        <li class="list-group-item">Salad <b>200g</b></li>
                        <li class="list-group-item">Nước ngọt <b>2</b></li>
                        <li class="list-group-item">
                          <h1>VND <b>150.000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        id="btn-s"
                        class="btn btn-success"
                        data-is-selected-menu="N"
                        onclick="onBtnSClick()"
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header bg-success text-white text-center">
                      <h3>M ( Medium size)</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">Đường kính <b>25 cm</b></li>
                        <li class="list-group-item">sườn nướng <b>4</b></li>
                        <li class="list-group-item">Salad <b>300g</b></li>
                        <li class="list-group-item">Nước ngọt <b>3</b></li>
                        <li class="list-group-item">
                          <h1>VND <b>200.000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        id="btn-m"
                        class="btn btn-success"
                        data-is-selected-menu="N"
                        onclick="onBtnMClick()"
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header bg-warning text-white text-center">
                      <h3>L ( Large size)</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">Đường kính <b>30 cm</b></li>
                        <li class="list-group-item">sườn nướng <b>8</b></li>
                        <li class="list-group-item">Salad <b>500g</b></li>
                        <li class="list-group-item">Nước ngọt <b>4</b></li>
                        <li class="list-group-item">
                          <h1>VND <b>250.000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        id="btn-l"
                        class="btn btn-success"
                        data-is-selected-menu="N"
                        onclick="onBtnLClick()"
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div id="about" class="row">
            <!-- Title Who We Are -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2>
                <b class="p-2 border-bottom text-danger">Chọn loại Pizza</b>
              </h2>
            </div>

            <!-- Content Who We Are -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img
                      src="./images/pizza_type_ga.jpg"
                      class="card-img-top"
                    />
                    <div class="card-body">
                      <h3>Pizza Gà</h3>
                      <p>Món ăn phổ biến</p>
                      <p>
                        Sự kết hợp hoàn hảo với một nguyên liệu truyền thống như
                        Gà sẽ mang đến cho bạn một hương vị đặc biệt khó quên
                      </p>
                      <p>
                        <button
                          id="btn-ga"
                          class="btn btn-info w-100"
                          data-is-selected-pizza="N"
                          onclick="onBtnGaClick()"
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img
                      src="./images/pizza_type_hai_san.jpg"
                      class="card-img-top"
                    />
                    <div class="card-body">
                      <h3>Pizza Hải Sản</h3>
                      <p>Món ăn đến từ biển khơi</p>
                      <p>
                        Với nhiều gu lựa chọn đến từ đại dương sẽ khiến cho bạn
                        như đang hòa quyện trong biển cả.
                      </p>
                      <p>
                        <button
                          id="btn-hai-san"
                          class="btn btn-info w-100"
                          data-is-selected-pizza="N"
                          onclick="onBtnHaiSanClick()"
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img
                      src="./images/pizza_type_thit_nuong.jpg"
                      class="card-img-top"
                    />
                    <div class="card-body">
                      <h3>Pizza Thịt Nướng</h3>
                      <p>Món ăn được chế biến từ thịt heo rừng</p>
                      <p>
                        Thịt heo rừng món ăn không quá lạ ,cũng không quá quen
                        sẽ mang đến cho bạn cho bạn một trải nghiệm vô cùng thú
                        vị.
                      </p>
                      <p>
                        <button
                          id="btn-thit-nuong"
                          class="btn btn-info w-100"
                          data-is-selected-pizza="N"
                          onclick="onBtnThitNuongClick()"
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- title nước uống -->
          <div class="row mt-5">
            <div class="col-sm-12">
              <h2>Hãy Chọn đồ uống bạn yêu thích</h2>
            </div>
            <div class="col-sm-12">
              <select name="" id="select-drink" class="form-control"></select>
            </div>
          </div>

          <div id="contact" class="row">
            <!-- Title Contact Us -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
            </div>

            <!-- Content Contact Us -->
            <div class="col-sm-12 p-2 jumbotron">
              <div class="row">
                <div class="col-sm-12">
                  <div class="form-group">
                    <label for="fullname">Họ và tên</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-fullname"
                      placeholder="Họ và tên"
                    />
                  </div>
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-email"
                      placeholder="Email"
                    />
                  </div>
                  <div class="form-group">
                    <label for="dien-thoai">Điện thoại</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-dien-thoai"
                      placeholder="Điện thoại"
                    />
                  </div>
                  <div class="form-group">
                    <label for="dia-chi">Địa chỉ</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-dia-chi"
                      placeholder="Địa chỉ"
                    />
                  </div>
                  <div class="form-group">
                    <label for="message">Lời nhắn</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-message"
                      placeholder="Lời nhắn"
                    />
                  </div>
                  <!-- thêm vào input-voucher -->
                  <div class="form-group">
                    <label for="message">Voucher</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-voucher"
                      placeholder="nhập ID voucher"
                    />
                  </div>
                  <!--  -->
                  <button
                    type="button"
                    class="btn btn-info w-100"
                    onclick="onBtnCheckClick()"
                  >
                    Kiểm tra đơn
                  </button>
                </div>
              </div>
            </div>
            <!-- vùng hiển thị thông tin đơn hàng(order) -->
            <div
              id="div-container-order"
              class="container bg-warning p-2 jumbotron"
              style="display: none"
            >
              <div id="div-order-infor" class="text-white p-3">...</div>
              <div class="p-2">
                <button
                  type="button"
                  class="btn btn-info w-100"
                  onclick="onBtnSendDon()"
                >
                  Gửi đơn
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Footer -->
    <div class="container-fluid bg-light p-5">
      <div class="row text-center">
        <div class="col-sm-12">
          <h4 class="m-2">Footer</h4>
          <a href="#" class="btn btn-dark m-3"
            ><i class="fa fa-arrow-up"></i>To the top</a
          >
          <div class="m-2">
            <i class="fa fa-facebook-official w3-hover-opacity"></i>
            <i class="fa fa-instagram w3-hover-opacity"></i>
            <i class="fa fa-snapchat w3-hover-opacity"></i>
            <i class="fa fa-pinterest-p w3-hover-opacity"></i>
            <i class="fa fa-twitter w3-hover-opacity"></i>
            <i class="fa fa-linkedin w3-hover-opacity"></i>
          </div>
        </div>
      </div>
    </div>
  </body>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_CREATE_OK = 201;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gUTF8_TEXT_APPLICATON_HEADER = "application/json;charset=UTF-8";

    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/";
    const gBASE_URL_VOUCHER =
      "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";

    const gCOMBO_SMALL = "Small";
    const gCOMBO_MEDIUM = "Medium";
    const gCOMBO_LARGE = "Large";
    const gLOAI_GA = "Ga";
    const gLOAI_HAI_SAN = "HaiSan";
    const gLOAI_THIT_NUONG = "ThitNuong";
    const gGIA_SMALL = 150000;
    const gGIA_MEDIUM = 200000;
    const gGIA_LARGE = 250000;

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // các nút chọn menu
    function onBtnSClick() {
      var vThongTin = getSize("size S", "20 cm", "2", "200 g", "2", 150000);
      vThongTin.displayConsole();
      changeColorMenu(gCOMBO_SMALL);
    }
    function onBtnMClick() {
      var vThongTin = getSize("size M", "25 cm", "4", "300 g", "3", 200000);
      vThongTin.displayConsole();
      changeColorMenu(gCOMBO_MEDIUM);
    }
    function onBtnLClick() {
      var vThongTin = getSize("size L", "30 cm", "8", "500 g", "4", 250000);
      vThongTin.displayConsole();
      changeColorMenu(gCOMBO_LARGE);
    }
    // các nút chọn loại pizza
    function onBtnGaClick() {
      console.log("%c Pizza bạn chọn là pizza Gà", "color:red");
      changeColorLoaiPizza(gLOAI_GA);
    }
    function onBtnHaiSanClick() {
      console.log("%c Pizza bạn chọn là pizza Hải Sản", "color:red");
      changeColorLoaiPizza(gLOAI_HAI_SAN);
    }
    function onBtnThitNuongClick() {
      console.log("%c Pizza bạn chọn là pizza Thịt Nướng", "color:red");
      changeColorLoaiPizza(gLOAI_THIT_NUONG);
    }
    // hàm gửi duex liệu
    function onBtnCheckClick() {
      var vOrderObj = {
        menuDuocChon: null,
        loaiPizzaDuocChon: null,
        hoTen: "",
        email: "",
        diaChi: "",
        soDienThoai: "",
        loiNhan: "",
        voucher: "",
        phanTramGiamGiaa: 0,
        doUongYeuThich: "",
        tienNuoc: 0,

        // hàm tìm %giảm giá
        priceActualVND: function () {
          var vGiaTien = 0;
          vGiaTien =
            (1 - this.phanTramGiamGiaa / 100) *
            (this.menuDuocChon.VND + this.tienNuoc);

          return vGiaTien;
        },
        displayConsoleOrder: function () {
          console.log(vOrderObj);
        },
      };
      thuThapThongTin(vOrderObj);
      vOrderObj.phanTramGiamGiaa = timPhanTramGiamGia(vOrderObj);
      timGiaTienNuoc(vOrderObj);
      // tienNuoc(vOrderObj);
      // tinhTienNuoc(vOrderObj);

      console.log("Tien Nước: " + vOrderObj.tienNuoc);

      var vCheck = kiemTraThongTin(vOrderObj);
      if (vCheck) {
        hienThiThongTin(vOrderObj);
      } else {
        console.log("Hãy nhập đúng thông tin");
      }
      return vOrderObj;
    }

    function onBtnGetDrinkListClick() {
      var vXmlHttp = new XMLHttpRequest();
      goiApiDeLayThongTinDoUong(vXmlHttp);
      vXmlHttp.onreadystatechange = function () {
        if (
          vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
          vXmlHttp.status == gREQUEST_STATUS_OK
        ) {
          hienThiThongTinNuocUong(vXmlHttp);
        }
      };
    }
    // hàm tìm phần trăm giảm giá
    function timPhanTramGiamGia(paramOrderObj) {
      var vXmlHttp = new XMLHttpRequest();
      goiApiDeLayMaVouCher(paramOrderObj, vXmlHttp);

      if (vXmlHttp.status != gREQUEST_STATUS_OK) {
        alert("voucher không có phần trăm giảm giá!");
      } else {
        var vDataObj = JSON.parse(vXmlHttp.responseText);
        console.log(vDataObj.phanTramGiamGia);
        paramOrderObj.phanTramGiamGiaa = vDataObj.phanTramGiamGia;
        console.log("PHẦN TRĂM GIẢM GIÁ: " + paramOrderObj.phanTramGiamGiaa);
      }
      // return 999;

      return paramOrderObj.phanTramGiamGiaa;
    }

    // hàm gọi api để lấy voucher
    function goiApiDeLayMaVouCher(paramVoucher, paramXmlHttp) {
      paramXmlHttp.open("GET", gBASE_URL_VOUCHER + paramVoucher.voucher, false);
      paramXmlHttp.send();
    }

    // hàm gọi api để lấy data đồ uống
    function goiApiDeLayThongTinDoUong(paramXmlHttp) {
      paramXmlHttp.open("GET", gBASE_URL + "drinks", true);
      paramXmlHttp.send();
    }
    // demo tim tien nuoc
    // function tinhTienNuoc(paramOrderObj) {
    //     var vXmlHttp = new XMLHttpRequest();
    //     goiApiDeLayThongTinDoUong(vXmlHttp);
    //     var x=0;
    //     vXmlHttp.onreadystatechange = function () {
    //         if (vXmlHttp.status == gREQUEST_STATUS_OK && vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK) {
    //             var vData = JSON.parse(vXmlHttp.responseText);
    //             for (var bIndex = 0; bIndex < vData.length; bIndex++) {
    //                 if (paramOrderObj.doUongYeuThich == vData[bIndex].tenNuocUong) {
    //                     paramOrderObj.tienNuoc = vData[bIndex].donGia;

    //                 }
    //             }
    //             console.log("aaaaaaaaaaaaa: "+paramOrderObj.tienNuoc);
    //             x=109;

    //         }
    //     }
    //     console.log("x=  "+x);

    // }
    function hienThiThongTinNuocUong(paramXmlHttp) {
      var vSelectDoUong = document.getElementById("select-drink");
      var vDoUongObj = JSON.parse(paramXmlHttp.responseText);
      for (var bIndex = 0; bIndex < vDoUongObj.length; bIndex++) {
        var bOptionDoUong = document.createElement("option");
        bOptionDoUong.value = bIndex;
        bOptionDoUong.text = vDoUongObj[bIndex].tenNuocUong;
        vSelectDoUong.appendChild(bOptionDoUong);
      }
    }
    // gọi api để lấy tiền nước
    function goiApiDeLayGiaTienNuoc(paramXmlHttp) {
      paramXmlHttp.open("GET", gBASE_URL + "drinks", false);
      paramXmlHttp.send();
    }
    function timGiaTienNuoc(paramOrderObj) {
      var vXhttp = new XMLHttpRequest();
      goiApiDeLayGiaTienNuoc(vXhttp);
      if (vXhttp.status == gREQUEST_STATUS_OK) {
        var vData = JSON.parse(vXhttp.responseText);

        // console.log("tra tien nuoc ne: " + vData.donGia);
        for (var bIndex = 0; bIndex < vData.length; bIndex++) {
          if (paramOrderObj.doUongYeuThich == vData[bIndex].tenNuocUong) {
            paramOrderObj.tienNuoc = vData[bIndex].donGia;
          }
        }
        // console.log("gia: " + paramOrderObj.tienNuoc);
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getSize(
      paramSize,
      paramDuongKinh,
      paramSuonNuong,
      paramSalad,
      paramNuocNgot,
      paramVND
    ) {
      var vSizeObj = {
        Size: paramSize,
        duongKinh: paramDuongKinh,
        suonNuong: paramSuonNuong,
        salad: paramSalad,
        nuocNgot: paramNuocNgot,
        VND: paramVND,
        displayConsole: function () {
          console.log("%c Combo menu được chọn ", "color:red");
          console.log("Size bánh: " + this.Size);
          console.log("Đường kính: " + this.duongKinh);
          console.log("Sườn Nướng: " + this.suonNuong);
          console.log("Salad: " + this.salad);
          console.log("Nước ngọt: " + this.nuocNgot);
          console.log("Giá tiền: " + this.VND);
        },
      };
      return vSizeObj;
    }
    // hàm thay đổi màu nút chọn
    function changeColorMenu(paramSize) {
      var vBtnS = document.getElementById("btn-s");
      var vBtnM = document.getElementById("btn-m");
      var vBtnL = document.getElementById("btn-l");

      if (paramSize == gCOMBO_SMALL) {
        vBtnS.className = "btn btn-warning";
        vBtnS.setAttribute("data-is-selected-menu", "Y");

        vBtnM.className = "btn btn-success";
        vBtnM.setAttribute("data-is-selected-menu", "N");

        vBtnL.className = "btn btn-success";
        vBtnL.setAttribute("data-is-selected-menu", "N");
      } else if (paramSize == gCOMBO_MEDIUM) {
        vBtnS.className = "btn btn-success";
        vBtnS.setAttribute("data-is-selected-menu", "N");

        vBtnM.className = "btn btn-warning";
        vBtnM.setAttribute("data-is-selected-menu", "Y");

        vBtnL.className = "btn btn-success";
        vBtnL.setAttribute("data-is-selected-menu", "N");
      } else if (paramSize == gCOMBO_LARGE) {
        vBtnS.className = "btn btn-success";
        vBtnS.setAttribute("data-is-selected-menu", "N");

        vBtnM.className = "btn btn-success";
        vBtnM.setAttribute("data-is-selected-menu", "N");

        vBtnL.className = "btn btn-warning";
        vBtnL.setAttribute("data-is-selected-menu", "Y");
      }
    }
    // hàm thay đổi màu nút chọn loại pizza
    function changeColorLoaiPizza(paramLoai) {
      var vBtnGa = document.getElementById("btn-ga");
      var vBtnHaiSan = document.getElementById("btn-hai-san");
      var vBtnThitNuong = document.getElementById("btn-thit-nuong");

      if (paramLoai == gLOAI_GA) {
        vBtnGa.className = "btn btn-warning w-100";
        vBtnGa.setAttribute("data-is-selected-pizza", "Y");

        vBtnHaiSan.className = "btn btn-success w-100";
        vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");

        vBtnThitNuong.className = "btn btn-success w-100";
        vBtnThitNuong.setAttribute("data-is-selected-pizza", "N");
      } else if (paramLoai == gLOAI_HAI_SAN) {
        vBtnGa.className = "btn btn-success w-100";
        vBtnGa.setAttribute("data-is-selected-pizza", "N");

        vBtnHaiSan.className = "btn btn-warning w-100";
        vBtnHaiSan.setAttribute("data-is-selected-pizza", "Y");

        vBtnThitNuong.className = "btn btn-success w-100";
        vBtnThitNuong.setAttribute("data-is-selected-pizza", "N");
      } else if (paramLoai == gLOAI_THIT_NUONG) {
        vBtnGa.className = "btn btn-success w-100";
        vBtnGa.setAttribute("data-is-selected-pizza", "N");

        vBtnHaiSan.className = "btn btn-success w-100";
        vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");

        vBtnThitNuong.className = "btn btn-warning w-100";
        vBtnThitNuong.setAttribute("data-is-selected-pizza", "Y");
      }
    }

    // hàm thu thập thông tin
    function thuThapThongTin(paramOrderObj) {
      var vInputHoTen = document.getElementById("inp-fullname");
      var vInputEmail = document.getElementById("inp-email");
      var vinputDiaChi = document.getElementById("inp-dia-chi");
      var vInputSoDienThoai = document.getElementById("inp-dien-thoai");
      var vInputLoiNhan = document.getElementById("inp-message");
      var vInputVoucher = document.getElementById("inp-voucher");
      var vSelectDrink = document.getElementById("select-drink");
      var vTextSelectDrink =
        vSelectDrink.options[vSelectDrink.selectedIndex].text;

      var vGetMunuObj = null;

      var vGetLoaiPizza = null;

      paramOrderObj.hoTen = vInputHoTen.value.trim();
      paramOrderObj.email = vInputEmail.value.trim();
      paramOrderObj.diaChi = vinputDiaChi.value.trim();
      paramOrderObj.soDienThoai = vInputSoDienThoai.value.trim();
      paramOrderObj.loiNhan = vInputLoiNhan.value.trim();
      paramOrderObj.voucher = vInputVoucher.value.trim();
      paramOrderObj.doUongYeuThich = vTextSelectDrink;

      var vSelectedElementGa = document.getElementById("btn-ga");
      var vSelectedElementHaiSan = document.getElementById("btn-hai-san");
      var vSelectedElementThitNuong = document.getElementById("btn-thit-nuong");

      var vSelectedElementS = document.getElementById("btn-s");
      var vSelectedElementM = document.getElementById("btn-m");
      var vSelectedElementL = document.getElementById("btn-l");

      if (vSelectedElementS.getAttribute("data-is-selected-menu") == "Y") {
        vGetMunuObj = getSize("size S", "20 cm", "2", "200 g", "2", 150000);
        paramOrderObj.menuDuocChon = vGetMunuObj;
      } else if (
        vSelectedElementM.getAttribute("data-is-selected-menu") == "Y"
      ) {
        vGetMunuObj = getSize("size M", "25 cm", "4", "300 g", "3", 200000);
        paramOrderObj.menuDuocChon = vGetMunuObj;
      } else if (
        vSelectedElementL.getAttribute("data-is-selected-menu") == "Y"
      ) {
        vGetMunuObj = getSize("size L", "30 cm", "8", "500 g", "4", 250000);
        paramOrderObj.menuDuocChon = vGetMunuObj;
      }
      if (vSelectedElementGa.getAttribute("data-is-selected-pizza") == "Y") {
        vGetLoaiPizza = "Pizzaa Gà!";
        paramOrderObj.loaiPizzaDuocChon = vGetLoaiPizza;
      } else if (
        vSelectedElementHaiSan.getAttribute("data-is-selected-pizza") == "Y"
      ) {
        vGetLoaiPizza = "Pizza Hải Sản!";
        paramOrderObj.loaiPizzaDuocChon = vGetLoaiPizza;
      } else if (
        vSelectedElementThitNuong.getAttribute("data-is-selected-pizza") == "Y"
      ) {
        vGetLoaiPizza = "Pizza Thịt Nướng!";
        paramOrderObj.loaiPizzaDuocChon = vGetLoaiPizza;
      }
    }
    // hàm kiểm tra thông tin
    function kiemTraThongTin(paramOrderObj) {
      if (
        paramOrderObj.hoTen == "" ||
        paramOrderObj.email == "" ||
        paramOrderObj.diaChi == "" ||
        paramOrderObj.soDienThoai == ""
      ) {
        alert("các Trường không được bỏ trống");
        return false;
      } else if (checkEmail(paramOrderObj.email) == false) {
        return false;
      } else if (paramOrderObj.menuDuocChon == null) {
        alert("phải chọn menu");
        return false;
      } else if (paramOrderObj.loaiPizzaDuocChon == null) {
        alert("Phải chọn loại pizza");
        return false;
      }
      return true;
    }

    // hàm kiểm tra email
    function checkEmail(paramEmail) {
      var filter =
        /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
      if (!filter.test(paramEmail)) {
        alert("Hay nhap dia chi email hop le.\nExample@gmail.com");
        email.focus;
        return false;
      } else {
        alert("OK roi day, Email nay hop le.");
      }
    }
    // hàm hiển thị email
    function hienThiThongTin(paramOrderObj) {
      var vDivContainer = document.getElementById("div-container-order");
      vDivContainer.style.display = "block";

      var vDivPText = document.getElementById("div-order-infor");

      vDivPText.innerHTML =
        "Họ và tên: " +
        paramOrderObj.hoTen +
        "<br>" +
        "Email: " +
        paramOrderObj.email +
        "<br>" +
        "Địa chỉ: " +
        paramOrderObj.diaChi +
        "<br>" +
        "Số điện thoại: " +
        paramOrderObj.soDienThoai +
        "<br>" +
        "Lời nhắn: " +
        paramOrderObj.loiNhan +
        "<br>" +
        "-----------------------------------------" +
        "<br>" +
        "Menu được chọn: " +
        "<br>" +
        "Size: " +
        paramOrderObj.menuDuocChon.Size +
        "<br>" +
        "Đường kính: " +
        paramOrderObj.menuDuocChon.duongKinh +
        "<br>" +
        "Sườn nướng: " +
        paramOrderObj.menuDuocChon.suonNuong +
        "<br>" +
        "Salad: " +
        paramOrderObj.menuDuocChon.salad +
        "<br>" +
        "Nước ngọt: " +
        paramOrderObj.menuDuocChon.nuocNgot +
        "<br>" +
        "Đồ uống yêu thích: " +
        paramOrderObj.doUongYeuThich +
        "<br>" +
        "-----------------------------------------" +
        "<br>" +
        "Loại pizza: " +
        paramOrderObj.loaiPizzaDuocChon +
        "<br>" +
        "Mã voucher: " +
        paramOrderObj.voucher +
        "<br>" +
        "Giá VND: " +
        paramOrderObj.menuDuocChon.VND +
        "<br>" +
        "Phần trăm giảm giá %: " +
        paramOrderObj.phanTramGiamGiaa +
        "%" +
        "<br>" +
        "Tổng tiền thanh toán VND: " +
        paramOrderObj.priceActualVND() +
        "<br>";
    }
    function onBtnSendDon() {
      onBtnCheckClick().displayConsoleOrder();
    }
  </script>
</html>
